View Single Post
  #2  
Old 4th March 2013, 12:27
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 37,009
Thanks: 840
Thanked 5,651 Times in 4,461 Posts
Default

Quote:
The /var/log/apache2/error.log showed the message "[error] client denied by server configuration: /etc/apache2/htdocs", so I went to review the control panel files and found in /etc/apache2/sites-enabled/ispconfig.vhost that the <IfModule mod_php5.c> block was commented out. I am using libmodphp5, so I needed that configuration. I uncommented the block, restarted Apache2 and then I got a blank page.
mod_php is not supported anymore for the ispconfig vhost for security reasons, please install mod_fcgi and a php fcgi binary.

Quote:
The /var/log/apache2/error.log showed another message: "[error] PHP Fatal error: require_once(): Failed opening required '../lib/config.inc.php' (include_path='.:/usr/share/php:/usr/share/pear') in /usr/local/ispconfig/interface/web/index.php on line 31". When I looked at that file, I found that the permissions were 700, while those of a backup file were 750. The new file and the backup were identical expect for the version number. I corrected the permissions and then I was able to access the control panel again.
You should undo that permission change and install php-fcgi like I explained above.
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote